Page MenuHomeVyOS Platform

l2tp, pptp, pppoe wrong chap-secrets file
Closed, ResolvedPublicBUG

Description

After migration to template files, we have the wrong format for l2tp chap-secrets

vyos@RTR1# sudo cat /etc/accel-ppp/l2tp/chap-secrets 
# username  server  password  acceptable local IP addresses shaper
test1\t*\ttest1pass\t*
test2\t*\ttestpass2\t*

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202004070927
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry changed the task status from Open to In progress.Apr 7 2020, 10:29 AM
Dmitry triaged this task as High priority.
Dmitry created this task.
Dmitry changed the subtype of this task from "Task" to "Bug".
Dmitry renamed this task from l2tp wrong chap-secrets file to l2tp, pptp, pppoe wrong chap-secrets file.Apr 7 2020, 1:24 PM
hagbard changed the task status from In progress to Needs testing.Apr 7 2020, 2:05 PM
hagbard added a subscriber: hagbard.

merged.

syncer changed the task status from Needs testing to Backport candidate.Apr 7 2020, 11:07 PM
syncer added a project: VyOS 1.3 Equuleus.
syncer moved this task from Need Triage to Backport Candidates on the VyOS 1.3 Equuleus board.
pasik added a subscriber: pasik.Apr 8 2020, 10:18 AM
syncer closed this task as Resolved.Apr 9 2020, 10:09 PM
syncer moved this task from Backport Candidates to Finished on the VyOS 1.3 Equuleus board.